summaryrefslogtreecommitdiff
path: root/hooks/pre-receive.sample
diff options
context:
space:
mode:
authorNúbio C. Hott <bio@brigadadigital.tec.br>2026-04-27 21:43:40 -0300
committerNúbio C. Hott <bio@brigadadigital.tec.br>2026-04-27 21:43:40 -0300
commita0190a6ce6cdba78bb67b23c0233de0f32bd39f3 (patch)
tree4384af75256d19430be8178146beb5524ec1baa6 /hooks/pre-receive.sample
downloadwebsite-a0190a6ce6cdba78bb67b23c0233de0f32bd39f3.tar.gz
website-a0190a6ce6cdba78bb67b23c0233de0f32bd39f3.tar.bz2
website-a0190a6ce6cdba78bb67b23c0233de0f32bd39f3.zip
Início do repositório
Diffstat (limited to 'hooks/pre-receive.sample')
-rwxr-xr-xhooks/pre-receive.sample24
1 files changed, 24 insertions, 0 deletions
diff --git a/hooks/pre-receive.sample b/hooks/pre-receive.sample
new file mode 100755
index 0000000..a1fd29e
--- /dev/null
+++ b/hooks/pre-receive.sample
@@ -0,0 +1,24 @@
+#!/bin/sh
+#
+# An example hook script to make use of push options.
+# The example simply echoes all push options that start with 'echoback='
+# and rejects all pushes when the "reject" push option is used.
+#
+# To enable this hook, rename this file to "pre-receive".
+
+if test -n "$GIT_PUSH_OPTION_COUNT"
+then
+ i=0
+ while test "$i" -lt "$GIT_PUSH_OPTION_COUNT"
+ do
+ eval "value=\$GIT_PUSH_OPTION_$i"
+ case "$value" in
+ echoback=*)
+ echo "echo from the pre-receive-hook: ${value#*=}" >&2
+ ;;
+ reject)
+ exit 1
+ esac
+ i=$((i + 1))
+ done
+fi